Skip to main content

Create Dubbing Language

POST 

https://api.knoxstudio.ai/v1/dubbing/project/:project_id/language

Add another dubbed language. Billed at source duration × model rate. target_language is a BCP-47 tag.

Request​

Path Parameters​

NameTypeRequiredDescription
project_idStringYesParent dubbing project ID.

Request Headers​

NameTypeRequiredDescription
AuthorizationStringYesBearer <token> Knox API key. xi-api-key is also accepted.
Content-TypeStringYesapplication/json

Request Body​

NameTypeRequiredDescription
target_languageStringYesBCP-47 language tag.
voice_settings.cloning_strengthIntegerNo0–10.
translationsObjectNoOptional per-segment translations. At most 20,000 entries.

cURL Example​

curl -X POST https://api.knoxstudio.ai/v1/dubbing/project/proj_123/language \
-H "Authorization: Bearer $KNOXCHAT_API_KEY" \
-H "Content-Type: application/json" \
-d '{"target_language":"ja","voice_settings":{"cloning_strength":5}}'

Response​

Success Response (200)​

JSON for the new language target (language_id, status).

Error Responses​

Validation uses HTTP 422:

{
"detail": [
{
"loc": ["body", "field"],
"msg": "…",
"type": "value_error"
}
]
}

Other errors use { "detail": "message" }.

StatusWhen
400WebSocket path called without Upgrade: websocket.
401Missing or invalid API key.
402Insufficient credits.
403Token is not allowed to use this model.
404Resource not found.
422Validation error.
429Rate limit exceeded.
500Internal server error.